// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wClientView:
//   The Client view.

#ifndef p4wClientView_H
#define p4wClientView_H


//
// Includes
#include "p4wView.h"


//
// p4wClientView class
class p4wClientView : public p4wView {

public:
	//
	// Constructors and destructor.
					p4wClientView(p4wRequest & Request, int switchRequest);
	virtual				~p4wClientView();

	//
	// Control item render functions.

	virtual	void		RenderContent();
	virtual void		RenderMenu();


private:
	int			fSwitchRequest;

};

#endif // p4wClientView_H

