//
// Copyright 2002 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wDescribeDefaultView:
//   Describe default client by invoking p4 opened -C <clientname> -c default

#ifndef p4wDescribeDefaultView_H
#define p4wDescribeDefaultView_H


//
// Includes
#include "p4wView.h"
#include "p4wDescribeDefaultPane.h"

//
// p4wDescribeDefaultView class
class p4wDescribeDefaultView : public p4wView {


public:
	//
	// Constructors and destructor.
						p4wDescribeDefaultView(p4wRequest & Request);
	virtual				~p4wDescribeDefaultView();

	//
	// Control item render functions.

	virtual	void		RenderContent();
	virtual void		RenderMenu();

private:

};

#endif // p4wDescribeDefaultView_H
