//
// Copyright 2003 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wRSSView:
//   A view (single HTML page) in the p4w interface.

#ifndef p4wRSSView_H
#define p4wRSSView_H


#include "p4wView.h"
#include "p4wRequest.h"
#include "changeshelper.h"


class p4wRSSView : public p4wView {

public:

	p4wRSSView( p4wRequest & Request );
	virtual	~p4wRSSView();


	//
	// Render this view.
	
	virtual	void Render();
	void RenderWithChgsHelper(ChangesHelper * ch, const StrPtr *pat, const StrPtr *mx, 
								const StrPtr *fl, int newServer, StrBuf feedTitle);
};

#endif // p4wRSSView_H

