// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wUserView:
//   The User view.

#ifndef p4wUserView_H
#define p4wUserView_H


//
// Includes
#include "p4wView.h"


//
// p4wUserView class
class p4wUserView : public p4wView {

public:
	//
	// Constructors and destructor.
						p4wUserView(p4wRequest & Request);
	virtual				~p4wUserView();

	//
	// Control item render functions.

	virtual	void		RenderContent();
	virtual void		RenderMenu();
	virtual	void		RenderRssHdrLink( p4wHtml *htm );

private:
};

#endif // p4wUserView_H

